import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ServiceLineCreateManyPaymentInputObjectSchema as ServiceLineCreateManyPaymentInputObjectSchema } from './ServiceLineCreateManyPaymentInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => ServiceLineCreateManyPaymentInputObjectSchema), z.lazy(() => ServiceLineCreateManyPaymentInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const ServiceLineCreateManyPaymentInputEnvelopeObjectSchema: z.ZodType<Prisma.ServiceLineCreateManyPaymentInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineCreateManyPaymentInputEnvelope>;
export const ServiceLineCreateManyPaymentInputEnvelopeObjectZodSchema = makeSchema();
